import os


def setup_streamlit_proxy():
    command = [
        "/streamlit/app/run_streamlit_app.sh",
        "--browser.gatherUsageStats", "false",
        "--browser.serverAddress", "0.0.0.0",
        "--server.port", "{port}",
        "--server.headless", "true",
        "--server.enableCORS", "false",
        "--server.enableXsrfProtection", "false",
    ]


    return {
        "command": command,
        "timeout": 20,
        "new_browser_tab": False,
        "launcher_entry": {
            "enabled": True,
            "title": "Streamlit App",
            "icon_path": "/streamlit/app/streamlit-favicon.svg"
        }
    }
